### Constructor

# Gtk Videonew_for_filename

#### Declaration [src]

    GtkWidget*
    gtk_video_new_for_filename (
      const char* filename
    )

#### Description [src]

Creates a `GtkVideo` to play back the given `filename`.

This is a utility function that calls `gtk_video_new_for_file()`, See that function for details.

#### Parameters

`filename`

  Type: `const char*`

  Filename to play back.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

#### Return value

Type: `GtkWidget`

A new `GtkVideo`

The data is owned by the called function.